Skip to content

Merging or Separating of Listings ​

http
POST /content/v2/cards/moveNm

Base URL: https://content-api.wildberries.ru · Module: items · Section: Listings · Specification doc ↗

The method merges and separates listings. Listings are merged if they have the same imtID.

To merge listings, make a request **specifying** the imtID. You can merge up to 30 listings at a time. To separate listings, make a request **without specifying** the imtID. New imtIDs will be generated for the separated listings.

If you separate multiple listings simultaneously, these listings will merge into one and receive a new imtID. To assign a unique imtID to each listing, you need to send one listing per request.

The maximum request size is 10 MB.

It is possible to merge listings containing only the same subcategories

Request limit per one seller account for all methods in the Content category:

PeriodLimitIntervalBurst
1 min100 requests600 ms5 requests
Exceptions are the methods:

In Sandbox — maximum of 1 request per second for all Content methods in total.

Request body ​

application/json — schema object, optional

  • one of: requestMoveNmsImtConn, requestMoveNmsImtDisconn

Responses ​

CodeDescriptionSchema
200SuccessresponseItemList
400Bad requestobject
401Unauthorizedobject
402Payment requiredobject
403Access deniedresponseItemList
413The request body size exceeds the given limitstring
429Too many requestsobject

Structure 200:

  • data object — Response data
  • error boolean — Error flag
  • errorText string — Error description
  • additionalErrors object — Any additional errors
    • one of: object, string, object

Structure 400:

  • one of: responseItemList, responseIncorrectDate

Structure 401:

  • title string — Error title
  • detail string — Error details
  • code string — Internal error code
  • requestId string — Unique request ID
  • origin string — WB internal service ID
  • status number — HTTP status code
  • statusText string — Text of the HTTP status code
  • timestamp string — Request date and time

Structure 402:

Structure 403:

  • data object — Response data
  • error boolean — Error flag
  • errorText string — Error description
  • additionalErrors object — Any additional errors
    • one of: object, string, object

Structure 429:

  • title string — Error title
  • detail string — Error details
  • code string — Internal error code
  • requestId string — Unique request ID
  • origin string — WB internal service ID
  • status number — HTTP status code
  • statusText string — Text of the HTTP status code
  • timestamp string — Request date and time

Call examples ​

Arguments are shown as parameter names — substitute your own values. Languages whose client does not expose this operation are omitted.

python
from wb_api_client.items import Configuration, ApiClient
from wb_api_client.items.api import ItemsApi

cfg = Configuration(access_token="<your WB JWT>")
api = ItemsApi(ApiClient(cfg))

result = api.post_v2_cards_move_nm(post_v2_cards_move_nm_request=...)
print(result)
ts
import {
  Configuration,
  ItemsApi,
} from "@valeryverkhoturov/wb-api-client/items";

const cfg = new Configuration({});
cfg.setAccessToken("<your WB JWT>");
const api = new ItemsApi(cfg);

const { data } = await api.postV2CardsMoveNm(postV2CardsMoveNmRequest);
console.log(data);
go
import (
	"context"
	"fmt"

	wbitems "github.com/ValeryVerkhoturov/wb-api-client-go/items"
)

cfg := wbitems.NewConfiguration()
cfg.SetAccessToken("<your WB JWT>")
client := wbitems.NewAPIClient(cfg)

result, _, err := client.ItemsAPI.PostV2CardsMoveNm(context.Background()).Execute()
if err != nil {
    panic(err)
}
fmt.Printf("%+v\n", result)
java
import io.github.valeryverkhoturov.wbapi.items.ApiClient;
import io.github.valeryverkhoturov.wbapi.items.SecretString;
import io.github.valeryverkhoturov.wbapi.items.api.ItemsApi;

ApiClient client = new ApiClient();
client.setAccessToken(new SecretString("<your WB JWT>"));
ItemsApi api = new ItemsApi(client);

System.out.println(api.postV2CardsMoveNm(postV2CardsMoveNmRequest));
php
use ValeryVerkhoturov\WbApiClient\Items\Configuration;
use ValeryVerkhoturov\WbApiClient\Items\SecretString;
use ValeryVerkhoturov\WbApiClient\Items\Api\ItemsApi;
use GuzzleHttp\Client;

$config = (new Configuration())
    ->setAccessTokenSecret(new SecretString('<your WB JWT>'));
$api = new ItemsApi(new Client(), $config);

print_r($api->postV2CardsMoveNm());
bsl
#Использовать "wb-api-client"

Настройки = Новый Конфигурация();
Настройки.УстановитьТокен("<your WB JWT>");
Клиент = Новый ItemsApi(Настройки);

Сообщить(Клиент.PostV2CardsMoveNm(Тело).Тело);
csharp
using ValeryVerkhoturov.WbApiClient.Items.Api;
using ValeryVerkhoturov.WbApiClient.Items.Client;

var config = new Configuration();
config.AccessTokenSecret = new SecretString("<your WB JWT>");
var api = new ItemsApi(config);

Console.WriteLine(api.PostV2CardsMoveNm());
rust
use wb_api_client::items::apis::{configuration::Configuration, items_api};

#[tokio::main]
async fn main() {
    let mut cfg = Configuration::new();
    cfg.set_access_token("<your WB JWT>");

    let result = items_api::post_v2_cards_move_nm(&cfg, post_v2_cards_move_nm_request).await;
    println!("{:#?}", result);
}